Signup/Sign In

Answers

All questions must be answered. Here are the Answers given by this user in the Forum.

**hexdump**, **od**, **xxd**, or **$YOUR_FAVORITE_LANGUAGE** can all do that.
***% echo Apple | hexdump -C
00000000 41 70 70 6c 65 0a |Apple.|
00000006
% echo Apple | perl -ne 'printf "%vd\n", $_'
65.112.112.108.101.10
% echo Apple | clisp <( echo '(print (mapcar #'\''char-code (coerce (read-line *standard-input*) '\''list)))' )
(65 112 112 108 101)
% ***
3 years ago
The **d** means "download only", which sounds like it will just fetch the packages for your update but not apply them.

It is the same as **yum --download-only**
3 years ago
You are using RAW format of the camera. Try using a compressed codec:
***ffmpeg -vcodec mjpeg -r 30 -s 1920x1080 -f v4l2 ...***
3 years ago
Start tmux on every shell login, from Arch wiki, seems to work. Simply add the following line of bash code to your **.bashrc** before your aliases; the code for other shells is very similar:
***[[ $TERM != "screen" ]] && exec tmux***
3 years ago
That's probably because this user does not have a crontab, yet. You can create a crontab for this user by calling:
***crontab -e***
3 years ago
*gnome-calculator*
**apt install gnome-calculator**
**Description

The GNOME calculator is a powerful graphical calculator with financial, logical and scientific modes. It uses a multiple precision package to do its arithmetic to give a high degree of accuracy.**

From the Advanced Mode choose Financial Mode. Also the keyboard mode allow you to convert currency.
3 years ago
GNU Screen <4.01 may not support vertical split without a patch.
GNU Screen >4.01 supports vertical splitting.

The Patch is licensed under GPLv2. Some people say that the vertical split in GNU **screen** makes the application slow but I haven't tested. I use **tmux** (terminal multiplexer)
3 years ago
When people refer to desktop environments, they usually mean a window manager plus a set of base applications (taskbar (with widgets), application launch menu, system configuration panel, text editor and basic utilities, etc...).
3 years ago
In UEFI, there is a standard method for an operating system to indicate that the user wants to access the firmware setup at the next system reboot. Internally, Windows uses that standard method. As Austin Hemmelgarn said in his answer, this is done using the EFI variables.
***#!/bin/sh
EFIVARFS=/sys/firmware/efi/efivars
EFI_OSINDSUPP=OsIndicationsSupported-8be4df61-93ca-11d2-aa0d-00e098032b8c
EFI_OSIND=OsIndications-8be4df61-93ca-11d2-aa0d-00e098032b8c

if [ ! -d $EFIVARFS ]
then
echo "ERROR: no efivarfs present"
exit 72 # EX_OSFILE
fi

cd $EFIVARFS
if [ ! -f $EFI_OSINDSUPP ]
then
echo "ERROR: no support for EFI OsIndications"
exit 72 # EX_OSFILE
fi

FWSUP=$(od -An -t x4 $EFI_OSINDSUPP | cut -c 18)
case $FWSUP in
[02468ace])
echo "ERROR: no support for boot-to-fw-ui OsIndication" >&2
exit 69 # EX_UNAVAILABLE
;;
esac
# grab OsIndications header (4 bytes)
EFI_OSINDHDR=$(head -c 4 $EFI_OSIND)

printf '%s\x01\x00\x00\x00\x00\x00\x00\x00' "$EFI_OSINDHDR" > $EFI_OSIND
if [ $? -eq 0 ]
then
echo "Success. The system will boot to UEFI setup at next reboot."
exit 0 # EX_OK
else
echo "FAIL: could not update the OsIndications UEFI variable."
exit 69 # EX_UNAVAILABLE
fi***
3 years ago
Whenever you want to use non-default settings for ssh, define an alias in **~/.ssh/config**. This way you can **ssh myalias**, or have some application call **ssh myalias** under the hood, without having to worry as to how you're going to pass settings such as a non-default port, a different user name and so on.
***Host foo
HostName example.com
Port 2222
User yourusername***

Then in Midnight Commander: **cd #sh:foo:**
3 years ago
generate a sharing link and append "&download=1" to the end of it.
then:
***wget "//some.host/:z:/x/personal/some_user/123456asdf?e=12345&download=1"***
3 years ago
It is called a shebang or a "bang" line.

It is nothing but the absolute path to the Bash interpreter.

It consists of a number sign and an exclamation point character (#!), followed by the full path to the interpreter such as /bin/bash.

All scripts under Linux execute using the interpreter specified on a first line Almost all bash scripts often begin with #!/bin/bash (assuming that Bash has been installed in /bin) This ensures that Bash will be used to interpret the script, even if it is executed under another shell. The shebang was introduced by Dennis Ritchie between Version 7 Unix and 8 at Bell Laboratories. It was then also added to the BSD line at Berkeley .

Ignoring An Interpreter Line (shebang)

If you do not specify an interpreter line, the default is usually the /bin/sh. But, it is recommended that you set #!/bin/bash line.
3 years ago